.limit-price-option,
.stencil-creation-controls.active > div,
.stencil-creation-controls.active .stencil-creation-product-title.added,
.stencil-creation-controls .stencil-creation-product-title.not-added {
  display: flex;
}

.stencil-creation-controls.active .stencil-creation-product-title.not-added,
.stencil-creation-controls .stencil-creation-product-title.added {display: none;}

.stencil-creation-controls.active .sq > div:hover,
.stencil-creation-controls.active > .stencil-creation-product-title.sq,
.stencil-creation-controls.active > .stencil-creation-product-title {
  background-color: var(--blue-bg);
  color: var(--primary-text);
}
.stencil-creation-controls.active > .stencil-creation-product-title {
  margin-top: 4px;
}

.stencil-creation-controls,
.stencil-creation-controls.active > .stencil-creation-title {
  display: none;
}

.vk-creation-product-title,
.stencil-creation-controls > span {
  font-size: 16px;
  font-weight: 600;
  padding: 16px;
  border-radius: 16px;
}

.vk-creation-product-title,
.stencil-creation-controls .stencil-creation-title {
  color: var(--primary-text);
  background-color: var(--blue-bg);
  transition: var(--transition);
}

.vk-creation-product-title:hover,
.stencil-creation-controls.active > .stencil-creation-product-title.sq:hover,
.stencil-creation-controls.active .sq > div,
.stencil-creation-controls .stencil-creation-title:hover,
.stencil-creation-controls.active > div > div:hover {
  background-color: white;
}

.stencil-creation-controls .stencil-creation-product-title,
.stencil-creation-controls.active > div > div {transition: var(--transition);}

.stencil-creation-controls.active .stencil-creation-product-title:hover,
.stencil-creation-controls.active .stencil-creation-product-title,
.stencil-creation-controls.active > div > div:hover {background-color: var(--blue-bg);}

.stencil-creation-controls.active .stencil-creation-product-title:hover {
  background-color: white;
}

.stencil-creation-controls .stencil-creation-product-title {
  color: var(--secondary-text);
}

.stencil-creation-controls > div {
  display: none;
  flex-direction: column;
}
.stencil-creation-controls > div {
  gap: 8px;
}

.stencil-creation-controls > div > div {
  display: flex;
  flex-direction: column;
  padding: 16px;
  border-radius: 16px;
  background-color: white;
}

.stencil-creation-controls > div > div > span {
  font-size: 13px;
  font-family: 500;
  color: var(--secondary-text);
}

.stencil-creation-controls > div > div > h3 {
  font-size: 16px;
  font-family: 600;
  color: var(--primary-text);
}

.stencil-creation-controls > div > div > div {
  display: flex;
  align-items: center;
  gap: 4px;
}

.stencil-creation-controls > div > div > div p {
  font-size: 10px;
  font-weight: 400;
  color: var(--secondary-text);
  margin: 0 !important;
}

.stencil-creation-form {
  display: flex;
  position: relative;
}

.stencil-product {
    max-height: 554px;
    overflow-y: auto;
    padding-right: 8px;
}

.stencil-products-form {
  position: relative;
  max-height: 800px;
}

.stencil-products-form.active .stencil-product,
.stencil-products-form.active .no-empty-product,
.stencil-creation-form .empty-product {
  display: flex;
}

.stencil-products-form.active .empty-product,
.stencil-products-form .stencil-product,
.stencil-products-form .no-empty-product {
  display: none;
}

.stencil-products-form.active .stencil-product,
.stencil-products-form .no-empty-product,
.stencil-products-form .empty-product {
  margin-bottom: 84px;
}

.stencil-products-form.active .no-empty-product,
.stencil-products-form.active .empty-product {
  margin-bottom: 24px;
}

.stencil-products-form > button {
  position: absolute;
  bottom: 0;
  width: calc(100% - 112px) !important;
  margin-bottom: 40px;
}

#add-stencil-products-modal {
  overflow: hidden;
}

#add-stencil-products-modal .modal-content {
  height: 100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: calc(100% - 80px);
  max-height: calc(100% - 80px);
  margin: 0;
}

.stencil-modal .modal-content > div:first-of-type,
.stencil-modal .modal-content > div:first-of-type > div {
  height: 100%;
}

.stencil-modal .modal-content > div:last-of-type {
  position: absolute;
  background-color: white;
  bottom: 24px;
  width: calc(100% - 24px);
  z-index: 1;
}

#add-stencil-products-modal .modal-content .search-input {padding: 12px 13px 12px 16px;}
#add-stencil-products-modal .wrapper-dropdown {
  min-width: 140px;
  max-height: 40px;
}

#add-stencil-products .modal-content {
  height: 100%;
}

.stencil-modal .modal-content .vertiacl-line {
  height: 100%;
  width: 1px;
  background-color: var(--secondary-border);
  position: absolute;
  left: 56px;
}

.stencil-products-table {display: block;}

.stencil-modal .table-container tr {
  display: flex;
  align-items: center;
}

.stencil-modal .search-input input {border-radius: 0;}

.stencil-btn {
  padding: 18px 28px;
}

.stencil-products-list {
  border-radius: 16px;
  background-color: var(--primary-bg);
  overflow: hidden;
  height: calc(100% - 182px);
  position: relative;
}

.stencil-products-list tbody {display: block;}

.stencil-products-list .head {
  border-bottom: 1px solid var(--secondary-border);
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 10;
  background-color: var(--primary-bg);
}

.stencil-products-list .head > div > div {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 16px;
}

.stencil-products-list .head > span {margin-right: 32px;}

.stencil-products-list .table-section {
  padding-top: 54px !important;
  padding: 0;
  padding-right: 4px;
  height: 100%;
}

.stencil-products-list .table-section .ads-table-img {
    width: 62px;
    height: 62px;
    min-width: 62px;
    min-height: 62px;
    border-radius: 8px;
}

.stencil-products-list .table-container {
  max-height: 100%;
  height: 100%;
  overflow-y: auto;
  padding-right: 4px;
}

.stencil-product::-webkit-scrollbar,
.stencil-products-list .table-section::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.stencil-product::-webkit-scrollbar-thumb,
.stencil-products-list .table-section::-webkit-scrollbar-thumb {
  background-color: #d3dbf1;
  border-radius: 40px;
  width: 8px;
}

.stencil-product::-webkit-scrollbar-track,
.stencil-products-list .table-section::-webkit-scrollbar-track {
  background: var(--blue-bg);
  border-radius: 40px;
  margin: 12px 0;
}
.stencil-products-list .table-container table {
  padding: 0;
}

.stencil-products-table {
  height: 100%;
}
.stencil-products-table tr > td:first-of-type {
  min-width: fit-content;
  max-width: 56px;
  align-items: center;
  justify-content: center;
  padding: 16px;
}

.stencil-products-table tr > td:last-of-type {
  width: 100%;
  border: none;
  border-radius: 0 !important;
  border-bottom: 0 !important;
}

.stencil-products-table td > div {
  height: fit-content;
  min-height: fit-content;
  position: static !important;
}

.stencil-product .ads-table-img {
    min-width: 80px;
    min-height: 80px;
}

.selected-stencil-product {
  display: flex;
  gap: 16px;
}

.wb-product-head {
  justify-content: space-between;
  padding-right: 28px;
  padding-bottom: 8px;
  border-bottom: 1px solid var(--secondary-border);
  display: none;
  margin-bottom: 8px;
}

.wb-product-head,
.wb-product-head > div {
  align-items: center;
}

.wb-product-head > div {
  display: flex;
  gap: 28px;
}


.selected-stencil-product .title {
  display: flex;
  flex-direction: column;
}

.selected-stencil-product .title > div {
  display: flex;
  align-items: center;
  gap: 8px;
}

.selected-stencil-product .title > p:nth-of-type(1),
.selected-stencil-product .title > div > p,
.selected-stencil-product .title > p:nth-of-type(2) {
  margin: 0 !important;
}
.selected-stencil-product .price > p,
.selected-stencil-product .title > p:nth-of-type(1),
.selected-stencil-product .title > div > p:nth-of-type(1) {
  font-size: 16px;
  font-weight: 600;
  color: var(--primary-text);
}

.selected-stencil-product .title > p:nth-of-type(2),
.selected-stencil-product .title.wb-title > div > p,
.selected-stencil-product .title > div > p:nth-of-type(2) {
  font-size: 14px;
  font-weight: 500;
  color: var(--secondary-text);
}

.selected-stencil-product .title > p:nth-of-type(2) {
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 0;
  margin-top: 4px;
}

.selected-stencil-product .price {
  display: flex;
  flex-direction: column;
  align-items: end;
  gap: 8px;
}

.selected-stencil-product .price > p {
  margin: 0 !important;
  white-space: nowrap;
}

.selected-stencil-product .price > input {
  border-radius: 16px;
  padding: 13px 16px;
  background-color: var(--blue-bg);
  font-size: 16px;
  font-weight: 400;
  color: var(--primary-text);
  width: 120px;
}

.exepted-search-query .content > div {height: 100%;}

.empty-info {
  max-width: 240px;
}

.key-phrases {
  position: relative;
  height: 438px;
}

.key-phrases:hover {background-color: var(--primary-bg);}

.key-phrases .content {
  max-height: 385px;
}

.key-phrases .selected-actions {
  position: absolute;
  width: 100%;
  bottom: -7%;
}

.search-query-item,
.search-query-item > div:last-of-type,
.search-query-item > div:last-of-type > div {
  display: flex;
  align-items: center;
}

.search-query-item {width: 100%;}

.search-query-item > div:first-of-type {padding: 16px;}

.search-query-item > div:last-of-type {
  justify-content: space-between;
  width: 100%;
  padding-right: 16px;
}

.search-query-item > div:last-of-type > span {
  padding-left: 16px;
  color: var(--primary-text);
  font-size: 16px;
  font-weight: 600;
}

.search-query-item > div:last-of-type > div {
  gap: 8px;
  background-color: white;
}

.search-query-item > div:last-of-type > div > p {
  font-size: 14px;
  color: var(--secondary-text);
  font-weight: 500;
  margin: 0 !important;
}

.key-phrases .content > div > div > div:first-of-type {border-right: none;}

.key-phrases .content {
  position: relative;
  height: 100%;
}

.key-phrases .content .v-line {
  position: absolute;
  left: 50px;
  top: 0;
  height: 100%;
  width: 1px;
  background-color: var(--secondary-border);
}

.key-phrases.active.have-child .v-line {display: block;}
.key-phrases.active.dont-have-child .v-line {display: none;}

.key-phrases.active.dont-have-child > div:first-of-type {
  display: none !important ;
}

.key-phrases.active.dont-have-child .content {
  border-top: none;
  margin-top: 50px;
  padding-bottom: 50px;
}

.key-phrases.active.dont-have-child #exepted-search-query-list,
.key-phrases.active.dont-have-child #search-query-list {
  align-items: center;
  justify-content: center;
  display: flex;
}